跳转到主要内容
POST
Calculate Matrix

请求规范

  • 方法与路径: POST /apis/v1/graphhopper/matrix-post
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/graphhopper/matrix-post
  • Runtime 事实版本: 6a72f8e2fa7fb1c29379e3b24b3a247c8428a3b6ed621b3f84f84e75cb0de2bc
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 声明的最大计数或单位数: 10000000
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
points
number[][]
必填

Coordinates for symmetric matrix as [longitude, latitude].

Required array length: 2 - 20 elements
profile
enum<string>
必填

Routing profile ID (e.g. 'car', 'bike', 'foot').

可用选项:
car
out_arrays
enum<string>[]
必填

Which matrices to include.

可用选项:
weights,
times,
distances
示例:
curbsides
enum<string>[]

Curbside per point ('any','left','right') for symmetrical.

可用选项:
any,
left,
right
fail_fast
boolean
默认值:true

If false, return null for unreachable entries and include hints.

to_points
number[][]

Destination coordinates as [longitude, latitude]. Provide with from_points.

from_points
number[][]

Origin coordinates as [longitude, latitude]. Provide with to_points.

point_hints
string[]

Hint per point for snapping preference (symmetrical).

to_curbsides
enum<string>[]

Curbside per destination ('any','left','right').

可用选项:
any,
left,
right
from_curbsides
enum<string>[]

Curbside per origin ('any','left','right').

可用选项:
any,
left,
right
to_point_hints
string[]

Hint per destination for snapping preference.

from_point_hints
string[]

Hint per origin for snapping preference.

snap_preventions
string[]

Feature types to avoid for snapping (e.g. 'toll', 'ferry').

响应

Tool result data

info
object
必填
hints
object[]
times
((number | null)[])[]
weights
((number | null)[])[]
distances
((number | null)[])[]